version: '3'
services:
  frontend:
    depends_on:
      - backend
    image: "mohammedraw/rafa:77"
    environment:
      - "JAVA_OPTS=-Dserver.port=8070 -Dspring.datasource.username=root -Dspring.datasource.password=root"
      - SPRING_DATASOURCE_URL=jdbc:mysql://backend/mysql?allowPublicKeyRetrieval=true
      - MYSQL_DATABASE=mysql
      - MYSQL_ROOT_PASSWORD=root
    ports: 
      - "8070:8070"
  backend:
    image: "mysql:8"
    ports:
      - "3306:3306"
    environment:
      MYSQL_ROOT_PASSWORD: root
      MYSQL_DATABASE: 'mysql'
